<html>
<head>
	<title>Applet Bots</title>
	<link rel="stylesheet" type="text/css" href="styles.css"/>
</head>
<body>
<div id="content">
<h2>Applet Bots</h2>
<p>
	Welcome to Applet Bots, a multi-agent environment simulation project
	started by <a href="http://www.erik-rasmussen.com/">Erik Rasmussen</a>.
	The intial goal in this project was to create a two-dimensional
	environment for virtual robots (called "agents") to wander
	around in and perform tasks based on simple algorithms.
</p>
<p>
	The rules are as follows:
</p>
<ul>
	<li>
		Agents are represented as circles and bounce off of
		walls and other objects according to the laws of physics.
	</li>
	<li>
		An agent must not know his absolute position (x and y
		coordinates) in the world.
	</li>
	<li>
		An agent has a limited sight starting from the edge of
		his "body" out in 360&deg;.
	</li>
	<li>
		An agent can know his velocity and the velocity of any
		other objects he can see.
	</li>
	<li>
		An agent can only control his movement by setting his
		acceleration. This is very different from changing his
		velocity or position.
	</li>
	<li>
		In one time cycle, each agent may observe the world and
		optionally modify his acceleration only once.
	</li>
</ul>
<p>
	The final goal is to have some kind of learning AI bots playing
	a game similar to soccer or capture the flag or something.
</p>
<p>
	Inspiration for this project has come from
	<a href="http://www.robocup.org/" rel="nofollow">RoboCup</a>,
	<a href="http://www.red3d.com/cwr/boids/" rel="nofollow">Boids</a>, and the
	<a href="http://www.swarm.org/" rel="nofollow">Swarm Development Group</a>.
</p>
<div id="simulations">
	<h3>The Simulations</h3>
	<ul>
		<li>
			<a href="applets/friendly.html">Friendly Bots</a>
		</li>
		<li>
			<a href="applets/kicker.html">Kicker Bots</a>
		</li>
		<li>
			<a href="applets/directedKicker.html">Directed Kickers</a>
		</li>
		<li>
			<a href="applets/tag.html">Tag Bots</a>
		</li>
		<li>
			<a href="applets/gatherers.html">Gatherers</a>
		</li>
		<li>
			<a href="applets/swarm.html">Swarm</a>
		</li>
	</ul>
</div>
<p>
	If the applets don't work, you might need to install the Sun
	Java Virtual Machine in your browser. To do so,
	<a href="http://java.sun.com/getjava/download.html">click here</a>.
</p>
<div style="text-align:center;">
	<a href="dist/javadoc/index.html">View Java Documentation</a>
</div>
<div style="text-align:center;">
	<a href="https://sourceforge.net/projects/applet-bots/">SourceForge Project</a>
</div>
<hr/>
<p style="text-align:center;">
	Please leave questions and comments in <a href="http://sourceforge.net/forum/forum.php?forum_id=737101">the forum</a>.
</p>
</div>
<div class="official">
	The official version of this file is at <a href="http://applet-bots.sourceforge.net/">applet-bots.sourceforge.net</a>
	<a href="http://sourceforge.net" class="sf-logo"><img border="0" alt="SourceForge.net Logo" src="http://sflogo.sourceforge.net/sflogo.php?group_id=205988&amp;type=1"/></a>
</div>
</body>
</html>
